<?php
include "../config.php";
include "classes.php";

$condX = $_REQUEST['condX'];
$conX = $_REQUEST['conX'];
$tblX = $_REQUEST['tblX'];
$spcX = "1=1";
$trendStatus = $_REQUEST['trendStatus'];
$trendcondX = $_REQUEST['trendcondX'];

$dairymilkcondX = $_REQUEST['dairymilkcondX'];


if($conX==1)
{    
    $condX="1=1";   
}

if($trendStatus=='false')
{
    $trendsValue = [];

    $recordCounter1 = new RecordCounter1($conn,$condX,$tblX,$spcX,$dairymilkcondX,$trendStatus,$trendsValue);
    $recordCounter2 = new RecordCounter2($conn,$condX,$tblX,$spcX,$dairymilkcondX,$trendStatus,$trendsValue);
    $recordCounter3 = new RecordCounter3($conn,$condX,$tblX,$spcX,$dairymilkcondX,$trendStatus,$trendsValue);
    $recordCounter4 = new RecordCounter4($conn,$condX,$tblX,$spcX,$trendStatus,$trendsValue);

    

    $data['CM_C0'] = $recordCounter4->countRecords4('CM_C0', range(1,2));
    // $data['CM_C2'] = $recordCounter1->countRecords1('CM_C2', array(1,2,3,4,99));
    $data['CM_C2'] = $recordCounter1->countRecords1('CM_C2', array(1,2,3,99));
    $data['CM_C3'] = $recordCounter1->countRecords1('CM_C3', array(1,2,3,4,98));
    $data['CM_C4b'] = $recordCounter1->countRecords1('CM_C4b', range(1,2));
    $data['CM_C5'] = $recordCounter1->countRecords1('CM_C5', array(1,2,3,4,5,98));
    $data['CM_C6'] = $recordCounter1->countRecords1('CM_C6', array(1,2,3,4,5,99));
    $data['CM_C7'] = $recordCounter1->countRecords1('CM_C7', range(1,2));
    $data['CM_C8'] = $recordCounter1->countRecords1('CM_C8', array(1,2,3,4,5,99));
    $data['CM_C9'] = $recordCounter1->countRecords1('CM_C9', array(1,2,3,4,5,6,7,59));
    $data['CM_C10'] = $recordCounter1->countRecords1('CM_C10', array(1,2,3,4,98));

    $data['CM_C11'] = $recordCounter2->countRecords2('CM_C11', range(1,7));
    $data['CM_C12'] = $recordCounter1->countRecords1('CM_C12', array(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,98));
    $data['CM_C15'] = $recordCounter1->countRecords1('CM_C15', array(1,2,3));
    $data['CM_C16'] = $recordCounter3->countRecords3('CM_C16', range(1,9));
    $data['CM_C17'] = $recordCounter1->countRecords1('CM_C17', range(1,3));
    $data['CM_C18'] = $recordCounter1->countRecords1('CM_C18', array(1,2,3,4,98,99));
    $data['CM_C19'] = $recordCounter2->countRecords2('CM_C19', array(1,2,3,4,5,6,7,8,9,10,98,99));
    $data['CM_C20'] = $recordCounter1->countRecords1('CM_C20', array(1,2,3));

    $data['S13_3'] = $recordCounter1->countRecords1('S13_3', array(1,2,3,4,5,6,7));
}

else
{
    $trendsValue = [1,2,3,4,90,91];

    $recordCounter1 = new RecordCounter1($conn,$condX,$tblX,$spcX,$dairymilkcondX,$trendStatus,$trendsValue);
    $recordCounter2 = new RecordCounter2($conn,$condX,$tblX,$spcX,$dairymilkcondX,$trendStatus,$trendsValue);
    $recordCounter3 = new RecordCounter3($conn,$condX,$tblX,$spcX,$dairymilkcondX,$trendStatus,$trendsValue);
    $recordCounter4 = new RecordCounter4($conn,$condX,$tblX,$spcX,$trendStatus,$trendsValue);

    $data['CM_C0'] = $recordCounter4->countRecords4('CM_C0', range(1,2));
    // $data['CM_C2'] = $recordCounter1->countRecords1('CM_C2', array(1,2,3,4,99));
    $data['CM_C2'] = $recordCounter1->countRecords1('CM_C2', array(1,2,3,99));
    $data['CM_C3'] = $recordCounter1->countRecords1('CM_C3', array(1,2,3,4,98));
    $data['CM_C4b'] = $recordCounter1->countRecords1('CM_C4b', range(1,2));
    $data['CM_C5'] = $recordCounter1->countRecords1('CM_C5', array(1,2,3,4,5,98));
    $data['CM_C6'] = $recordCounter1->countRecords1('CM_C6', array(1,2,3,4,5,99));
    $data['CM_C7'] = $recordCounter1->countRecords1('CM_C7', range(1,2));
    $data['CM_C8'] = $recordCounter1->countRecords1('CM_C8', array(1,2,3,4,5,99));
    $data['CM_C9'] = $recordCounter1->countRecords1('CM_C9', array(1,2,3,4,5,6,7,59));
    $data['CM_C10'] = $recordCounter1->countRecords1('CM_C10', array(1,2,3,4,98));

    $data['CM_C11'] = $recordCounter2->countRecords2('CM_C11', range(1,7));
    $data['CM_C12'] = $recordCounter1->countRecords1('CM_C12', array(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,98));
    $data['CM_C15'] = $recordCounter1->countRecords1('CM_C15', array(1,2,3));
    $data['CM_C16'] = $recordCounter3->countRecords3('CM_C16', range(1,9));
    $data['CM_C17'] = $recordCounter1->countRecords1('CM_C17', range(1,3));
    $data['CM_C18'] = $recordCounter1->countRecords1('CM_C18', array(1,2,3,4,98,99));
    $data['CM_C19'] = $recordCounter2->countRecords2('CM_C19', array(1,2,3,4,5,6,7,8,9,10,98,99));
    $data['CM_C20'] = $recordCounter1->countRecords1('CM_C20', array(1,2,3));

    $data['S13_3'] = $recordCounter1->countRecords1('S13_3', array(1,2,3,4,5,6,7));
}

echo json_encode($data);

?>